<template>
  <slot
    :settings="settings"
    :has-settings="hasSettings"
  />
  <app-reddit-connect-drawer
    v-model="drawerVisible"
    :integration="integration"
  />
</template>

<script setup>
import AppRedditConnectDrawer from '@/integrations/reddit/components/reddit-connect-drawer.vue';
import { computed, defineProps, ref } from 'vue';

const props = defineProps({
  integration: {
    type: Object,
    default: () => {
    },
  },
});
const drawerVisible = ref(false);

// Only render twitter drawer and settings button, if integration has settings
const hasSettings = computed(
  () => !!props.integration.settings,
);
const settings = () => {
  drawerVisible.value = true;
};

</script>

<script>
export default {
  name: 'AppRedditSettings',
};
</script>

